# Packmangroup: Libraries
# Packmanpackagename: libmpeg3
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>LibMPEG3 decodes many derivatives of MPEG standards into uncompressed data suitable for editing and playback: Audio Layer II and Layer III, MPEG-1 and MPEG-1 video, MPEG-1 and MPEG-2 system streams.</p>
# Packmanpackagedesc_de: <p>LibMPEG3 dekodiert viele Varianten des MPEG Standards zu unkomprimierten Daten, zum abspielen oder editieren: Audio Layer II und Layer III, MPEG-1 und MPEG-1 Video, MPEG-1 und MPEG-2 System Streams.</p>

#
# spec file for package libmpeg3 (Version 1.8)
#
%define libname   libmpeg3-1

Name:           %{libname}
Summary:        A decoder for many derivatives of MPEG standards
Summary(de):    Ein Dekoder für viele Derivate des MPEG Standards
Version:        1.8
Release:        2.pm.3.1
Group:          System/Libraries
License:        GPL v2 or later
URL:            http://heroinewarrior.com/libmpeg3.php3

Source0:        libmpeg3-1.8-src.tar.bz2

Patch0:         libmpeg3-1.8-makefile.patch
Patch1:         libmpeg3-1.8-cinelerra_autotools.patch
Patch2:         libmpeg3-1.8-cinelerra_hacking.patch
Patch3:         libmpeg3-1.8-fix_commented.patch
Patch4:         libmpeg3-1.8-spec_in.patch
Patch5:         libmpeg3-1.8-pkgconfig.in.patch
Patch6:         libmpeg3-1.8-boostrap.patch
Patch7:         libmpeg3-1.8-gnustack.patch
Patch8:         libmpeg3-1.8-fix-rpmlint.patch
Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc
BuildRequires:  liba52dec-devel
BuildRequires:  nasm
Obsoletes:      libmpeg3
Provides:       libmpeg3 = %{version}-%{release}

%description
LibMPEG3 decodes the many many derivatives of MPEG standards into
uncompressed data suitable for editing and playback.

libmpeg3 currently decodes:
 - MPEG-1 Layer II/III Audio and program streams
 - MPEG-2 Layer III Audio, program streams and transport streams
 - MPEG-1 and MPEG-2 Video
 - AC3 Audio
 - IFO files
 - VOB files

%description -l de
LibMPEG3 dekodiert die vielen Varianten des MPEG-Standards in
dekomprimierte Daten, um sie zu editieren oder wiederzugeben.

libmpeg3 aktuell enthaltene Dekoder:
 - MPEG-1 Layer II/III Audio und Program-Streams
 - MPEG-2 Layer III Audio, Programm- und Transport-Streams
 - MPEG-1 und MPEG-2 Video
 - AC3 Audio
 - IFO Dateien
 - VOB Dateien


%package -n libmpeg3-utils
Summary:        Utilities from libmpeg3
Summary(de):    Utilities für die libmpeg3
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       %{libname} = %{version}-%{release}

%description -n libmpeg3-utils
LibMPEG3 decodes the many many derivatives of MPEG standards into
uncompressed data suitable for editing and playback.

This package contains utility programs based on libmpeg3.

%description -n libmpeg3-utils -l de
LibMPEG3 dekodiert die vielen Varianten des MPEG-Standards in
dekomprimierte Daten, um sie zu editieren oder wiederzugeben.

Dieses Paket enthält Hilfsprogramme basierend auf der libmpeg3.


%package -n libmpeg3-devel
Summary:        Development files for libmpeg3
Summary(de):    Entwicklerdateien für die libmpeg3
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}-%{release}
Requires:       glibc-devel

%description -n libmpeg3-devel
LibMPEG3 decodes the many many derivatives of MPEG standards into
uncompressed data suitable for editing and playback.

This package contains files needed to build applications that will use
libmpeg3.

%description -n libmpeg3-devel -l de
LibMPEG3 dekodiert die vielen Varianten des MPEG-Standards in
dekomprimierte Daten, um sie zu editieren oder wiederzugeben.

Dieses Paket enthält Dateien, die benötigt werden um Anwendungen die
auf die libmpeg3 zugreifen zu compilieren.



%prep
%setup -q -n libmpeg3-%{version}
#patch0 -p1 -b .makefile
# Removed unneeded files
#rm -rf a52dec-* depend.a52

# Patch autotools
%patch1 -p1

# Thoses patches was taken from cinepaint cvs
# Which have special libmpeg3
#patch2 -p1 -b .cine_hack

# Fix comments
%patch3 -p1 -b .commented

# Add spec.in
%patch4 -p1

# Add pkgconfig.in
%patch5 -p1

# Add ./bootstrap
%patch6 -p1

# gentoo patches
%patch7 -p1 -b .gnustack

# fix programmparts rpmlint wasn't happy about
%patch8 -p1

# Touch docs files:
touch INSTALL README NEWS AUTHORS ChangeLog

# Build autotools
chmod 755 bootstrap
./bootstrap


%build
# Enable USE_MMX for archs that support it, not by default on i386
%configure --enable-shared --disable-static \
%ifarch i686 x86_64
#  --enable-mmx \
%endif

# This seems not to work with x86_64 on AMD64
# Error: suffix or operands invalid for `push'
#sed -i -e 's|$(CCASFLAGS)|#$(CCASFLAGS)|g' video/Makefile

%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
mkdir %{buildroot}

%{__make} install \
    LIBDIR=%{_libdir} \
    DESTDIR=%{buildroot} \
    INSTALL="install -c -p"

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING
%{_libdir}/lib*.so.*

%files -n libmpeg3-utils
%defattr(755,root,root)
%{_bindir}/mpeg3*

%files -n libmpeg3-devel
%defattr(644,root,root,755)
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libmpeg3.pc
%{_includedir}/mpeg3/

%changelog
* Sun Aug 23 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 1.8-1.pm.1
- cleanups where rpmlint wasn't so happy
* Tue Apr 28 2009 - Manfred.Tremmel@iiv.de
- update to version 1.8
* Tue Jan 01 2008 - Manfred.Tremmel@iiv.de
- taken over a lot of work (patches and some improvements
  in the spec file) from kwizart's mandriva packages
* Tue Nov 21 2006 - Manfred.Tremmel@iiv.de
- update to version 1.7
* Sun Sep 18 2005 - Manfred.Tremmel@iiv.de
- update to version 1.6
- rebuild for SUSE 10.0
* Tue Sep 07 2004 - schwab@suse.de
- Define _LARGEFILE64_SOURCE.
* Sat Sep 04 2004 - ro@suse.de
- try to fix build
* Fri Sep 03 2004 - sbrabec@suse.cz
- Updated to version 1.5.4.
- A52 cripple patch rewrite.
* Wed Apr 28 2004 - ro@suse.de
- added missing return value
- added -fno-strict-aliasing
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Mon Aug 18 2003 - aj@suse.de
- Mark variables used by inline assembler as used
* Mon May 26 2003 - sbrabec@suse.cz
- Fixed execution permission on binaries (bug #27078).
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Mon Jun 10 2002 - uli@suse.de
- update -> 1.5 (table of contents feature refined to where it's
  hopefully useful for frame accurate seeking, shared lib)
* Tue Apr 23 2002 - uli@suse.de
- use %%_libdir properly
- add DISTRIBUTABLE switch to simplify rebuild with all features
  enabled
* Tue Aug 14 2001 - uli@suse.de
- update -> 1.4
* Wed Jul 25 2001 - uli@suse.de
- back to original tarball, made it NoSource (facilitates maintenance)
- disabled AC3 code
* Tue Jul 24 2001 - uli@suse.de
- update -> 1.3
- ditched shared lib (too time-consuming to maintain)
- moved from /usr/X11R6 to /usr (has nothing to do with X)
* Fri Jun 29 2001 - uli@suse.de
- removed CSS code
* Sun Mar 04 2001 - bk@suse.de
- fixed configure flags for non-ix86 platforms
* Thu Mar 01 2001 - bk@suse.de
- fix compilation for non-ix86 platforms
- enable more optimisations
- disable packaging of static libs
- don't gzip index.html and add README.SuSE to documentation
- fix web site urls
* Tue Feb 27 2001 - bk@suse.de
- initial attempt on a package
